.topheader{
    box-shadow: var(--navbar-shadow);
    position:fixed;
    background-color: var(--theme-color);
    left: 0;
    top: 0;
    width: 100%;
    z-index: 100;
}

.topnav{
    display:flex;
    justify-content: space-between;
    padding: 10px;
    max-width: 980px;
    margin: 0 auto;

}

.dark-mode-btn,
.light-mode-btn {
  border: none;
  padding: 0;
  background: none;
  cursor: pointer;

  display: flex;
  align-items: center;

  margin-left: 20px;
  margin-right: 20px;
}


:root[data-theme="light"] .dark-mode-btn {
  display: none;
}

:root[data-theme="dark"] .light-mode-btn {
  display: none;
}


.logo{
    display:flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    font-weight: 500;
    color: var(--accent-color);
    margin-right:auto;

}

.logo img{
    object-fit: fill;
    border-radius: 50%;
}

/* Menu */

.menu{
    display: flex;
    list-style:none;
    margin: 0;
    padding: 0;
}

.menu li{
    padding: 0px 15px;
}

.menu a {
    color: var(--text-color);
    font-size: 18px;
    font-weight: 500;
    line-height: 50px;
    text-transform: uppercase;
    position: relative;


}

.menu a::after{
    content: "";
    background-color: var(--secondary-color);
    position: absolute;
    left: 0;
    top: calc(100% + 4px);
    width: 100%;
    height: 4px;
    opacity: 0;
    transition: opacity 0.3s;
}


.menu a.selected::after {
  opacity: 0.8;
}

.menu a:hover {
  color: var(--accent-color);
}


.open-menu,
.close-menu {
  display: none;
}



@media (max-width: 950px) {
 
    .menu{
        flex-direction: column;
        position: fixed;
        left: 0;
        top: 0;
        width: 100%;
        align-items: center;
        background-color: var(--menu-mobile-background-color);
        height: 100%;
        overflow: auto;
        opacity: 0;
        pointer-events: none;
        transition: opacity 0.2s;

    }

    .menu a {
        color: var(--text-color-inverse);
        line-height: 60px;

    }

    .open-menu,
    .close-menu {
       display: block;
       border: none;
       background: none;
       cursor: pointer;
       color: var(--text-color)
    }

    .close-menu {
        align-self: flex-end;
        padding: 20px 15px;
      }

      .menu_opened{
        opacity: 1;
        pointer-events: all;
      }

      .open-menu:focus:not(:focus-visible),
      .close-menu:focus:not(:focus-visible) {
        outline: none;
      }



      .menu a::after{
        content: none;
    }
    
    
    .menu a:hover,
    .menu a.selected {
      color: var(--secondary-color);
    }
    
}